log for com.emanuelef.remote_capture:36

== Installed Android Tools ==

2021-09-15 16:17:00,105 DEBUG: Reading 'config.yml'
2021-09-15 16:17:00,125 INFO: Using /opt/android-sdk/build-tools/29.0.3/apksigner 
2021-09-15 16:17:00,129 INFO: Creating log directory
2021-09-15 16:17:00,129 INFO: Creating temporary directory
2021-09-15 16:17:00,130 INFO: Creating output directory
2021-09-15 16:17:00,138 DEBUG: Getting git vcs interface for https://github.com/emanuele-f/PCAPdroid.git
2021-09-15 16:17:00,138 DEBUG: > git --version
git version 2.11.0
2021-09-15 16:17:00,342 INFO: Using git version 2.11.0
2021-09-15 16:17:00,343 DEBUG: Checking 1.4.2
2021-09-15 16:17:00,344 INFO: Building version 1.4.2 (36) of com.emanuelef.remote_capture
2021-09-15 16:17:00,344 INFO: Running 'sudo' commands in /home/vagrant
2021-09-15 16:17:00,345 DEBUG: > sudo DEBIAN_FRONTEND=noninteractive bash -x -c apt-get update || apt-get update && apt-get install -y build-essential libpcap-dev autogen libjson-c-dev libnuma-dev libpcre2-dev
+ apt-get update
Get:1 http://security.debian.org/debian-security stretch/updates InRelease [53.0 kB]
Ign:2 https://deb.debian.org/debian stretch InRelease
Hit:3 https://deb.debian.org/debian stretch-updates InRelease
Get:4 https://deb.debian.org/debian stretch-backports-sloppy InRelease [46.7 kB]
Get:5 https://deb.debian.org/debian stretch-backports InRelease [91.8 kB]
Get:6 https://deb.debian.org/debian testing InRelease [128 kB]
Hit:7 https://deb.debian.org/debian stretch Release
Get:8 http://security.debian.org/debian-security stretch/updates/main amd64 Packages [711 kB]
Get:9 http://security.debian.org/debian-security stretch/updates/main i386 Packages [711 kB]
Get:10 http://security.debian.org/debian-security stretch/updates/main Translation-en [327 kB]
Get:11 https://deb.debian.org/debian testing/main i386 Packages.diff/Index [63.6 kB]
Get:12 https://deb.debian.org/debian testing/main amd64 Packages.diff/Index [63.6 kB]
Get:13 https://deb.debian.org/debian testing/main Translation-en.diff/Index [63.6 kB]
Ign:11 https://deb.debian.org/debian testing/main i386 Packages.diff/Index
Ign:12 https://deb.debian.org/debian testing/main amd64 Packages.diff/Index
Get:15 https://deb.debian.org/debian testing/main Translation-en T-2021-09-15-0201.54-F-2021-08-25-2010.21.pdiff [89.0 kB]
Get:15 https://deb.debian.org/debian testing/main Translation-en T-2021-09-15-0201.54-F-2021-08-25-2010.21.pdiff [89.0 kB]
Get:16 https://deb.debian.org/debian testing/main i386 Packages [8,232 kB]
Get:17 https://deb.debian.org/debian testing/main amd64 Packages [8,295 kB]
Fetched 18.9 MB in 3s (5,550 kB/s)
Reading package lists...
+ apt-get install -y build-essential libpcap-dev autogen libjson-c-dev libnuma-dev libpcre2-dev
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
  dpkg-dev g++ g++-6 guile-2.0-libs libgc1c2 libjson-c3 libnuma1 libopts25
  libopts25-dev libpcap0.8 libpcap0.8-dev libpcre2-16-0 libpcre2-32-0
  libpcre2-8-0 libpcre2-posix0 libstdc++-6-dev
Suggested packages:
  debian-keyring g++-multilib g++-6-multilib gcc-6-doc libstdc++6-6-dbg
  libstdc++-6-doc
Recommended packages:
  autogen-doc gnupg | gnupg2 libalgorithm-merge-perl
The following NEW packages will be installed:
  autogen build-essential dpkg-dev g++ g++-6 guile-2.0-libs libgc1c2
  libjson-c-dev libjson-c3 libnuma-dev libnuma1 libopts25 libopts25-dev
  libpcap-dev libpcap0.8 libpcap0.8-dev libpcre2-16-0 libpcre2-32-0
  libpcre2-8-0 libpcre2-dev libpcre2-posix0 libstdc++-6-dev
0 upgraded, 22 newly installed, 0 to remove and 2 not upgraded.
Need to get 15.0 MB of archives.
After this operation, 60.9 MB of additional disk space will be used.
Get:1 http://security.debian.org/debian-security stretch/updates/main amd64 libjson-c3 amd64 0.12.1-1.1+deb9u1 [26.1 kB]
Get:2 http://security.debian.org/debian-security stretch/updates/main amd64 libjson-c-dev amd64 0.12.1-1.1+deb9u1 [37.8 kB]
Get:3 https://deb.debian.org/debian stretch/main amd64 libgc1c2 amd64 1:7.4.2-8 [208 kB]
Get:4 https://deb.debian.org/debian stretch/main amd64 guile-2.0-libs amd64 2.0.13+1-4 [2,232 kB]
Get:5 https://deb.debian.org/debian stretch/main amd64 libopts25 amd64 1:5.18.12-3 [68.0 kB]
Get:6 https://deb.debian.org/debian stretch/main amd64 libopts25-dev amd64 1:5.18.12-3 [106 kB]
Get:7 https://deb.debian.org/debian stretch/main amd64 autogen amd64 1:5.18.12-3 [566 kB]
Get:8 https://deb.debian.org/debian stretch/main amd64 libstdc++-6-dev amd64 6.3.0-18+deb9u1 [1,420 kB]
Get:9 https://deb.debian.org/debian stretch/main amd64 g++-6 amd64 6.3.0-18+deb9u1 [7,094 kB]
Get:10 https://deb.debian.org/debian stretch/main amd64 g++ amd64 4:6.3.0-4 [1,546 B]
Get:11 https://deb.debian.org/debian stretch/main amd64 dpkg-dev all 1.18.25 [1,595 kB]
Get:12 https://deb.debian.org/debian stretch/main amd64 build-essential amd64 12.3 [7,346 B]
Get:13 https://deb.debian.org/debian stretch/main amd64 libnuma1 amd64 2.0.11-2.1 [33.3 kB]
Get:14 https://deb.debian.org/debian stretch/main amd64 libpcap0.8 amd64 1.8.1-3 [138 kB]
Get:15 https://deb.debian.org/debian stretch/main amd64 libpcap0.8-dev amd64 1.8.1-3 [239 kB]
Get:16 https://deb.debian.org/debian stretch/main amd64 libpcap-dev all 1.8.1-3 [25.4 kB]
Get:17 https://deb.debian.org/debian stretch/main amd64 libpcre2-16-0 amd64 10.22-3 [174 kB]
Get:18 https://deb.debian.org/debian stretch/main amd64 libpcre2-32-0 amd64 10.22-3 [164 kB]
Get:19 https://deb.debian.org/debian stretch/main amd64 libpcre2-8-0 amd64 10.22-3 [182 kB]
Get:20 https://deb.debian.org/debian stretch/main amd64 libpcre2-posix0 amd64 10.22-3 [22.1 kB]
Get:21 https://deb.debian.org/debian stretch/main amd64 libpcre2-dev amd64 10.22-3 [599 kB]
Get:22 https://deb.debian.org/debian stretch/main amd64 libnuma-dev amd64 2.0.11-2.1 [46.0 kB]
Fetched 15.0 MB in 0s (23.6 MB/s)
Selecting previously unselected package libgc1c2:amd64.
(Reading database ... 64894 files and directories currently installed.)
Preparing to unpack .../00-libgc1c2_1%3a7.4.2-8_amd64.deb ...
Unpacking libgc1c2:amd64 (1:7.4.2-8) ...
Selecting previously unselected package guile-2.0-libs:amd64.
Preparing to unpack .../01-guile-2.0-libs_2.0.13+1-4_amd64.deb ...
Unpacking guile-2.0-libs:amd64 (2.0.13+1-4) ...
Selecting previously unselected package libopts25:amd64.
Preparing to unpack .../02-libopts25_1%3a5.18.12-3_amd64.deb ...
Unpacking libopts25:amd64 (1:5.18.12-3) ...
Selecting previously unselected package libopts25-dev:amd64.
Preparing to unpack .../03-libopts25-dev_1%3a5.18.12-3_amd64.deb ...
Unpacking libopts25-dev:amd64 (1:5.18.12-3) ...
Selecting previously unselected package autogen.
Preparing to unpack .../04-autogen_1%3a5.18.12-3_amd64.deb ...
Unpacking autogen (1:5.18.12-3) ...
Replaced by files in installed package libopts25-dev:amd64 (1:5.18.12-3) ...
Selecting previously unselected package libstdc++-6-dev:amd64.
Preparing to unpack .../05-libstdc++-6-dev_6.3.0-18+deb9u1_amd64.deb ...
Unpacking libstdc++-6-dev:amd64 (6.3.0-18+deb9u1) ...
Selecting previously unselected package g++-6.
Preparing to unpack .../06-g++-6_6.3.0-18+deb9u1_amd64.deb ...
Unpacking g++-6 (6.3.0-18+deb9u1) ...
Selecting previously unselected package g++.
Preparing to unpack .../07-g++_4%3a6.3.0-4_amd64.deb ...
Unpacking g++ (4:6.3.0-4) ...
Selecting previously unselected package dpkg-dev.
Preparing to unpack .../08-dpkg-dev_1.18.25_all.deb ...
Unpacking dpkg-dev (1.18.25) ...
Selecting previously unselected package build-essential.
Preparing to unpack .../09-build-essential_12.3_amd64.deb ...
Unpacking build-essential (12.3) ...
Selecting previously unselected package libnuma1:amd64.
Preparing to unpack .../10-libnuma1_2.0.11-2.1_amd64.deb ...
Unpacking libnuma1:amd64 (2.0.11-2.1) ...
Selecting previously unselected package libpcap0.8:amd64.
Preparing to unpack .../11-libpcap0.8_1.8.1-3_amd64.deb ...
Unpacking libpcap0.8:amd64 (1.8.1-3) ...
Selecting previously unselected package libpcap0.8-dev.
Preparing to unpack .../12-libpcap0.8-dev_1.8.1-3_amd64.deb ...
Unpacking libpcap0.8-dev (1.8.1-3) ...
Selecting previously unselected package libpcap-dev.
Preparing to unpack .../13-libpcap-dev_1.8.1-3_all.deb ...
Unpacking libpcap-dev (1.8.1-3) ...
Selecting previously unselected package libpcre2-16-0:amd64.
Preparing to unpack .../14-libpcre2-16-0_10.22-3_amd64.deb ...
Unpacking libpcre2-16-0:amd64 (10.22-3) ...
Selecting previously unselected package libpcre2-32-0:amd64.
Preparing to unpack .../15-libpcre2-32-0_10.22-3_amd64.deb ...
Unpacking libpcre2-32-0:amd64 (10.22-3) ...
Selecting previously unselected package libpcre2-8-0:amd64.
Preparing to unpack .../16-libpcre2-8-0_10.22-3_amd64.deb ...
Unpacking libpcre2-8-0:amd64 (10.22-3) ...
Selecting previously unselected package libpcre2-posix0:amd64.
Preparing to unpack .../17-libpcre2-posix0_10.22-3_amd64.deb ...
Unpacking libpcre2-posix0:amd64 (10.22-3) ...
Selecting previously unselected package libpcre2-dev:amd64.
Preparing to unpack .../18-libpcre2-dev_10.22-3_amd64.deb ...
Unpacking libpcre2-dev:amd64 (10.22-3) ...
Selecting previously unselected package libjson-c3:amd64.
Preparing to unpack .../19-libjson-c3_0.12.1-1.1+deb9u1_amd64.deb ...
Unpacking libjson-c3:amd64 (0.12.1-1.1+deb9u1) ...
Selecting previously unselected package libjson-c-dev:amd64.
Preparing to unpack .../20-libjson-c-dev_0.12.1-1.1+deb9u1_amd64.deb ...
Unpacking libjson-c-dev:amd64 (0.12.1-1.1+deb9u1) ...
Selecting previously unselected package libnuma-dev:amd64.
Preparing to unpack .../21-libnuma-dev_2.0.11-2.1_amd64.deb ...
Unpacking libnuma-dev:amd64 (2.0.11-2.1) ...
Setting up libstdc++-6-dev:amd64 (6.3.0-18+deb9u1) ...
Setting up libjson-c3:amd64 (0.12.1-1.1+deb9u1) ...
Setting up libnuma1:amd64 (2.0.11-2.1) ...
Setting up libgc1c2:amd64 (1:7.4.2-8) ...
Setting up g++-6 (6.3.0-18+deb9u1) ...
Setting up dpkg-dev (1.18.25) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
Setting up guile-2.0-libs:amd64 (2.0.13+1-4) ...
Setting up libjson-c-dev:amd64 (0.12.1-1.1+deb9u1) ...
Setting up libopts25:amd64 (1:5.18.12-3) ...
Setting up g++ (4:6.3.0-4) ...
update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto mode
Setting up libnuma-dev:amd64 (2.0.11-2.1) ...
Setting up libpcre2-8-0:amd64 (10.22-3) ...
Setting up libpcre2-32-0:amd64 (10.22-3) ...
Setting up libpcre2-16-0:amd64 (10.22-3) ...
Setting up libpcap0.8:amd64 (1.8.1-3) ...
Setting up build-essential (12.3) ...
Setting up libpcap0.8-dev (1.8.1-3) ...
Setting up libopts25-dev:amd64 (1:5.18.12-3) ...
Setting up libpcap-dev (1.8.1-3) ...
Setting up libpcre2-posix0:amd64 (10.22-3) ...
Setting up autogen (1:5.18.12-3) ...
Setting up libpcre2-dev:amd64 (10.22-3) ...
Processing triggers for libc-bin (2.24-11+deb9u4) ...
2021-09-15 16:17:12,149 DEBUG: > sudo passwd --lock root
passwd: password expiry information changed.
2021-09-15 16:17:12,360 DEBUG: > sudo SUDO_FORCE_REMOVE=yes dpkg --purge sudo
(Reading database ... 66995 files and directories currently installed.)
Removing sudo (1.8.19p1-2.1+deb9u3) ...
Purging configuration files for sudo (1.8.19p1-2.1+deb9u3) ...
Processing triggers for systemd (232-25+deb9u13) ...
2021-09-15 16:17:17,669 INFO: Getting source for revision 862953d5a3c40eb3ab4a5081e04899b80e8d19a1
2021-09-15 16:17:17,669 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:17,669 DEBUG: > git rev-parse --show-toplevel
2021-09-15 16:17:17,876 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:17,876 DEBUG: > git submodule foreach --recursive git reset --hard
2021-09-15 16:17:17,980 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:17,980 DEBUG: > git reset --hard
2021-09-15 16:17:18,185 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:18,186 DEBUG: > git submodule foreach --recursive git clean -dffx
2021-09-15 16:17:18,331 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:18,332 DEBUG: > git clean -dffx
2021-09-15 16:17:18,446 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:18,446 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch origin
2021-09-15 16:17:18,756 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:18,756 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com fetch --prune --tags --force origin
2021-09-15 16:17:19,066 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:19,066 DEBUG: > git remote set-head origin --auto
2021-09-15 16:17:19,477 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:19,478 DEBUG: > git checkout -f 862953d5a3c40eb3ab4a5081e04899b80e8d19a1
2021-09-15 16:17:19,683 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:19,683 DEBUG: > git clean -dffx
2021-09-15 16:17:19,797 INFO: Initialising submodules
2021-09-15 16:17:19,798 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:19,798 DEBUG: > git rev-parse --show-toplevel
2021-09-15 16:17:20,019 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:20,019 DEBUG: > git submodule sync
2021-09-15 16:17:20,125 DEBUG: Directory: build/com.emanuelef.remote_capture
2021-09-15 16:17:20,125 DEBUG: > git -c core.askpass=/bin/true -c core.sshCommand=/bin/false -c url.https://.insteadOf=ssh:// -c url.https://u:p@bitbucket.org/.insteadOf=git@bitbucket.org: -c url.https://u:p@bitbucket.org.insteadOf=git://bitbucket.org -c url.https://u:p@bitbucket.org.insteadOf=https://bitbucket.org -c url.https://u:p@github.com/.insteadOf=git@github.com: -c url.https://u:p@github.com.insteadOf=git://github.com -c url.https://u:p@github.com.insteadOf=https://github.com -c url.https://u:p@gitlab.com/.insteadOf=git@gitlab.com: -c url.https://u:p@gitlab.com.insteadOf=git://gitlab.com -c url.https://u:p@gitlab.com.insteadOf=https://gitlab.com submodule update --init --force --recursive
Submodule 'submodules/libpcap' (https://github.com/the-tcpdump-group/libpcap) registered for path 'submodules/libpcap'
Submodule 'submodules/nDPI' (https://github.com/emanuele-f/nDPI) registered for path 'submodules/nDPI'
Submodule 'submodules/zdtun' (https://github.com/emanuele-f/zdtun) registered for path 'submodules/zdtun'
Cloning into '/home/vagrant/build/com.emanuelef.remote_capture/submodules/libpcap'...
Cloning into '/home/vagrant/build/com.emanuelef.remote_capture/submodules/nDPI'...
Cloning into '/home/vagrant/build/com.emanuelef.remote_capture/submodules/zdtun'...
Submodule path 'submodules/libpcap': checked out 'f8e410a8feaa1fb40aa4b833a3fa8af2bd5bca1e'
Submodule path 'submodules/nDPI': checked out '4b195acf2e3d10bd589cee8dacf36b8c5e2ea07e'
Submodule path 'submodules/zdtun': checked out '2c2f8febb734968ac089b39573d5e87ba3a7ef15'
2021-09-15 16:17:28,585 INFO: Creating local.properties file at build/com.emanuelef.remote_capture/local.properties
2021-09-15 16:17:28,586 INFO: Creating local.properties file at build/com.emanuelef.remote_capture/app/local.properties
2021-09-15 16:17:28,587 DEBUG: Removing debuggable flags from build/com.emanuelef.remote_capture/app
2021-09-15 16:17:28,604 INFO: Running 'prebuild' commands in build/com.emanuelef.remote_capture/app
2021-09-15 16:17:28,605 DEBUG: Directory: build/com.emanuelef.remote_capture/app
2021-09-15 16:17:28,605 DEBUG: > bash -x -c -- sed -i -e '/3.18.1/d' build.gradle && sed -i -e 's/3.18.1/3.10.2/' src/main/jni/CMakeLists.txt
+ sed -i -e /3.18.1/d build.gradle
+ sed -i -e s/3.18.1/3.10.2/ src/main/jni/CMakeLists.txt
2021-09-15 16:17:28,816 INFO: Cleaning Gradle project...
2021-09-15 16:17:28,817 DEBUG: Directory: build/com.emanuelef.remote_capture/app
2021-09-15 16:17:28,817 DEBUG: > /home/vagrant/fdroidserver/gradlew-fdroid clean
Found 7.0.2 via distributionUrl
Running /opt/gradle/versions/7.0.2/bin/gradle clean

Welcome to Gradle 7.0.2!

Here are the highlights of this release:
 - File system watching enabled by default
 - Support for running with and building Java 16 projects
 - Native support for Apple Silicon processors
 - Dependency catalog feature preview

For more details see https://docs.gradle.org/7.0.2/release-notes.html

To honour the JVM settings for this build a single-use Daemon process will be forked. See https://docs.gradle.org/7.0.2/userguide/gradle_daemon.html#sec:disabling_the_daemon.
Daemon will be stopped at the end of the build 

> Configure project :app
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
Checking the license for package CMake 3.10.2.4988404 in /opt/android-sdk/licenses
License for package CMake 3.10.2.4988404 accepted.
Preparing "Install CMake 3.10.2.4988404 (revision: 3.10.2)".
"Install CMake 3.10.2.4988404 (revision: 3.10.2)" ready.
Installing CMake 3.10.2.4988404 in /opt/android-sdk/cmake/3.10.2.4988404
"Install CMake 3.10.2.4988404 (revision: 3.10.2)" complete.
"Install CMake 3.10.2.4988404 (revision: 3.10.2)" finished.
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir

> Task :app:externalNativeBuildCleanDebug
> Task :app:externalNativeBuildCleanRelease
> Task :app:clean UP-TO-DATE

BUILD SUCCESSFUL in 34s
3 actionable tasks: 2 executed, 1 up-to-date
2021-09-15 16:18:03,930 INFO: Scanning source for common problems...
2021-09-15 16:18:03,934 INFO: Removing gradle-wrapper.jar at gradle/wrapper/gradle-wrapper.jar
2021-09-15 16:18:03,992 INFO: Creating source tarball...
2021-09-15 16:18:06,838 INFO: Building Gradle project...
2021-09-15 16:18:06,838 DEBUG: Directory: build/com.emanuelef.remote_capture/app
2021-09-15 16:18:06,838 DEBUG: > /home/vagrant/fdroidserver/gradlew-fdroid assembleRelease
Found 7.0.2 via distributionUrl
Running /opt/gradle/versions/7.0.2/bin/gradle assembleRelease
To honour the JVM settings for this build a single-use Daemon process will be forked. See https://docs.gradle.org/7.0.2/userguide/gradle_daemon.html#sec:disabling_the_daemon.
Daemon will be stopped at the end of the build 

> Configure project :app
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
File /home/vagrant/.android/repositories.cfg could not be loaded.
Checking the license for package Android SDK Build-Tools 30.0.3 in /opt/android-sdk/licenses
License for package Android SDK Build-Tools 30.0.3 accepted.
Preparing "Install Android SDK Build-Tools 30.0.3 (revision: 30.0.3)".
"Install Android SDK Build-Tools 30.0.3 (revision: 30.0.3)" ready.
Installing Android SDK Build-Tools 30.0.3 in /opt/android-sdk/build-tools/30.0.3
"Install Android SDK Build-Tools 30.0.3 (revision: 30.0.3)" complete.
"Install Android SDK Build-Tools 30.0.3 (revision: 30.0.3)" finished.
Checking the license for package Android SDK Platform 30 in /opt/android-sdk/licenses
License for package Android SDK Platform 30 accepted.
Preparing "Install Android SDK Platform 30 (revision: 3)".
"Install Android SDK Platform 30 (revision: 3)" ready.
Installing Android SDK Platform 30 in /opt/android-sdk/platforms/android-30
"Install Android SDK Platform 30 (revision: 3)" complete.
"Install Android SDK Platform 30 (revision: 3)" finished.

> Task :app:preBuild UP-TO-DATE
> Task :app:preReleaseBuild UP-TO-DATE
> Task :app:compileReleaseAidl NO-SOURCE
> Task :app:compileReleaseRenderscript NO-SOURCE
> Task :app:generateReleaseBuildConfig
> Task :app:writeReleaseApplicationId
> Task :app:javaPreCompileRelease
> Task :app:analyticsRecordingRelease
> Task :app:checkReleaseAarMetadata
> Task :app:generateReleaseResValues
> Task :app:generateReleaseResources
> Task :app:createReleaseCompatibleScreenManifests
> Task :app:extractDeepLinksRelease
> Task :app:processReleaseMainManifest
> Task :app:mergeReleaseResources
> Task :app:processReleaseManifest

> Task :app:generateJsonModelRelease
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|armeabi-v7a : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /opt/android-sdk/cmake/3.10.2.4988404/share/cmake-3.10/Modules/CMakeDetermineSystem.cmake:94 (include)
  CMakeLists.txt:1 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|armeabi-v7a : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /opt/android-sdk/cmake/3.10.2.4988404/share/cmake-3.10/Modules/CMakeDetermineSystem.cmake:94 (include)
  CMakeLists.txt:1 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|armeabi-v7a : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.10.2/CMakeSystem.cmake:6 (include)
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|armeabi-v7a : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/3.10.2/CMakeSystem.cmake:6 (include)
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/armeabi-v7a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|arm64-v8a : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /opt/android-sdk/cmake/3.10.2.4988404/share/cmake-3.10/Modules/CMakeDetermineSystem.cmake:94 (include)
  CMakeLists.txt:1 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|arm64-v8a : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /opt/android-sdk/cmake/3.10.2.4988404/share/cmake-3.10/Modules/CMakeDetermineSystem.cmake:94 (include)
  CMakeLists.txt:1 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|arm64-v8a : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.10.2/CMakeSystem.cmake:6 (include)
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|arm64-v8a : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/3.10.2/CMakeSystem.cmake:6 (include)
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/arm64-v8a/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|x86 : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /opt/android-sdk/cmake/3.10.2.4988404/share/cmake-3.10/Modules/CMakeDetermineSystem.cmake:94 (include)
  CMakeLists.txt:1 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|x86 : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /opt/android-sdk/cmake/3.10.2.4988404/share/cmake-3.10/Modules/CMakeDetermineSystem.cmake:94 (include)
  CMakeLists.txt:1 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|x86 : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/x86/CMakeFiles/3.10.2/CMakeSystem.cmake:6 (include)
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|x86 : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/x86/CMakeFiles/3.10.2/CMakeSystem.cmake:6 (include)
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/x86/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|x86_64 : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /opt/android-sdk/cmake/3.10.2.4988404/share/cmake-3.10/Modules/CMakeDetermineSystem.cmake:94 (include)
  CMakeLists.txt:1 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|x86_64 : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /opt/android-sdk/cmake/3.10.2.4988404/share/cmake-3.10/Modules/CMakeDetermineSystem.cmake:94 (include)
  CMakeLists.txt:1 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|x86_64 : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/x86_64/CMakeFiles/3.10.2/CMakeSystem.cmake:6 (include)
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)

/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/jni/CMakeLists.txt : C/C++ release|x86_64 : CMake Warning at /opt/android-sdk/ndk/22.1.7171670/build/cmake/android.toolchain.cmake:449 (message):
  An old version of CMake is being used that cannot automatically detect
  compiler attributes.  Compiler identification is being bypassed.  Some
  values may be wrong or missing.  Update to CMake 3.19 or newer to use
  CMake's built-in compiler identification.
Call Stack (most recent call first):
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/x86_64/CMakeFiles/3.10.2/CMakeSystem.cmake:6 (include)
  /home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/x86_64/CMakeFiles/CMakeTmp/CMakeLists.txt:2 (project)


> Task :app:externalNativeBuildRelease
Build multiple targets ndpi_armeabi-v7a vpnproxy-jni_armeabi-v7a libpcapd.so_armeabi-v7a
ninja: Entering directory `/home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/armeabi-v7a'
/home/vagrant/build/com.emanuelef.remote_capture/submodules/nDPI/src/lib/ndpi_analyze.c:710:25: warning: implicit conversion from 'long long' to 'float' changes value from 99999999999 to 99999997952 [-Wimplicit-const-int-float-conversion]
Build multiple targets libpcapd.so_arm64-v8a ndpi_arm64-v8a vpnproxy-jni_arm64-v8a
ninja: Entering directory `/home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/arm64-v8a'
/home/vagrant/build/com.emanuelef.remote_capture/submodules/nDPI/src/lib/ndpi_analyze.c:710:25: warning: implicit conversion from 'long' to 'float' changes value from 99999999999 to 99999997952 [-Wimplicit-const-int-float-conversion]
Build multiple targets libpcapd.so_x86 ndpi_x86 vpnproxy-jni_x86
ninja: Entering directory `/home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/x86'
/home/vagrant/build/com.emanuelef.remote_capture/submodules/nDPI/src/lib/ndpi_analyze.c:710:25: warning: implicit conversion from 'long long' to 'float' changes value from 99999999999 to 99999997952 [-Wimplicit-const-int-float-conversion]
Build multiple targets vpnproxy-jni_x86_64 libpcapd.so_x86_64 ndpi_x86_64
ninja: Entering directory `/home/vagrant/build/com.emanuelef.remote_capture/app/.cxx/cmake/release/x86_64'
/home/vagrant/build/com.emanuelef.remote_capture/submodules/nDPI/src/lib/ndpi_analyze.c:710:25: warning: implicit conversion from 'long' to 'float' changes value from 99999999999 to 99999997952 [-Wimplicit-const-int-float-conversion]

> Task :app:mergeReleaseJniLibFolders
> Task :app:mergeReleaseShaders
> Task :app:compileReleaseShaders NO-SOURCE
> Task :app:generateReleaseAssets UP-TO-DATE
> Task :app:mergeReleaseAssets
> Task :app:compressReleaseAssets
> Task :app:processReleaseManifestForPackage
> Task :app:checkReleaseDuplicateClasses
> Task :app:mergeReleaseNativeLibs

> Task :app:stripReleaseDebugSymbols
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir

> Task :app:extractReleaseNativeSymbolTables
WARNING:: NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir
NDK was located by using ndk.dir property. This method is deprecated and will be removed in a future release. Please delete ndk.dir from local.properties and set android.ndkVersion to [22.1.7171670] in all native modules in the project. https://developer.android.com/r/studio-ui/ndk-dir

> Task :app:desugarReleaseFileDependencies
> Task :app:processReleaseResources
> Task :app:mergeReleaseNativeDebugMetadata
> Task :app:mergeExtDexRelease

> Task :app:compileReleaseJavaWithJavac
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/CaptureCtrl.java:30: warning: [deprecation] FLAG_FULLSCREEN in android.view.WindowManager.LayoutParams has been deprecated
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
                                                       ^
/home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/activities/CaptureCtrl.java:30: warning: [deprecation] FLAG_FULLSCREEN in android.view.WindowManager.LayoutParams has been deprecated
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);
                                                                                                   ^
Note: /home/vagrant/build/com.emanuelef.remote_capture/app/src/main/java/com/emanuelef/remote_capture/AppsLoader.java uses unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
2 warnings

> Task :app:compileReleaseSources
> Task :app:lintVitalRelease
> Task :app:dexBuilderRelease
> Task :app:processReleaseJavaRes NO-SOURCE
> Task :app:collectReleaseDependencies
> Task :app:mergeReleaseJavaResource
> Task :app:sdkReleaseDependencyData
> Task :app:writeReleaseAppMetadata
> Task :app:writeReleaseSigningConfigVersions
> Task :app:optimizeReleaseResources
> Task :app:mergeDexRelease
> Task :app:packageRelease
> Task :app:assembleRelease

BUILD SUCCESSFUL in 1m 25s
37 actionable tasks: 37 executed
2021-09-15 16:19:32,416 DEBUG: Popen(['git', 'cat-file', '--batch-check'], cwd=/home/vagrant/build/com.emanuelef.remote_capture, universal_newlines=False, shell=None)
2021-09-15 16:19:32,424 INFO: Successfully built version 1.4.2 of com.emanuelef.remote_capture from 862953d5a3c40eb3ab4a5081e04899b80e8d19a1
2021-09-15 16:19:32,773 DEBUG: AXML contains a RESOURCE MAP
2021-09-15 16:19:32,773 DEBUG: Start of Namespace mapping: prefix 30: 'android' --> uri 65: 'http://schemas.android.com/apk/res/android'
2021-09-15 16:19:32,775 DEBUG: Checking build/com.emanuelef.remote_capture/app/build/outputs/apk/release/app-release-unsigned.apk
2021-09-15 16:19:32,781 DEBUG: AXML contains a RESOURCE MAP
2021-09-15 16:19:32,781 DEBUG: Start of Namespace mapping: prefix 30: 'android' --> uri 65: 'http://schemas.android.com/apk/res/android'
2021-09-15 16:19:32,795 INFO: success: com.emanuelef.remote_capture
2021-09-15 16:19:32,796 INFO: Finished
2021-09-15 16:19:32,796 INFO: 1 build succeeded